Bug 891649 - (CVE-2012-5977) CVE-2012-5977 asterisk: Denial of service through exploitation of device state caching (AST-2012-015)
CVE-2012-5977 asterisk: Denial of service through exploitation of device stat...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130102,reported=2...
: Security
Depends On: 891650 891651
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-03 09:30 EST by Jan Lieskovsky
Modified: 2013-01-30 02:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-30 02:40:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-01-03 09:30:55 EST
A denial of service flaw was found in the way Asterisk, an open-source PBX software, performed management of its internal device cache in certain circumstances. A remote attacker could use this flaw to cause the asterisk executable to consume excessive amount of system resources via repeated anonymous calls with different sources of the particular anonymous call (forcing the asterisk binary continually to add new devices into its device cache).

References:
[1] http://downloads.asterisk.org/pub/security/AST-2012-015.html

Upstream patches:
[2] http://downloads.asterisk.org/pub/security/AST-2012-015-1.8.11.diff
[3] http://downloads.asterisk.org/pub/security/AST-2012-015-1.8.diff
[4] http://downloads.asterisk.org/pub/security/AST-2012-015-10.diff
[5] http://downloads.asterisk.org/pub/security/AST-2012-015-11.diff
Comment 1 Jan Lieskovsky 2013-01-03 09:32:07 EST
This issue affects the versions of the asterisk package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

This issue affects the version of the asterisk package, as shipped with Fedora EPEL 6. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-01-03 09:34:12 EST
Created asterisk tracking bugs for this issue

Affects: fedora-all [bug 891650]
Affects: epel-6 [bug 891651]
Comment 3 Fedora Update System 2013-01-29 19:33:00 EST
asterisk-11.2.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-01-29 19:36:37 EST
asterisk-10.12.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-01-29 19:55:17 EST
asterisk-1.8.20.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.